## org.w3c.tools.jpeg
Interface TagDecoder

public interface TagDecoder

The EXIF decoder interface.

Special purpose field decoders for use by the Exif class must implement this interface.

See Also:
  `Exif`

Method Summary
`void` `decode(java.util.Hashtable exif, ExifData data, int format, int offset, int length)` Decodes a field from the EXIF data and possibly augments the exif hash.

Method Detail

### decode

    public void decode(java.util.Hashtable exif,
                       ExifData data,
                       int format,
                       int offset,
                       int length)

  Decodes a field from the EXIF data and possibly augments the exif hash.
  Parameters:
    `exif` - The hash of field name/value pairs. This method should update this has with information extracted from data.
    `data` - The EXIF data.
    `format` - The EXIF format value for the field to be decoded.
    `offset` - The offset of the start of the field in the EXIF data.
    `length` - The length of the field.